## Holland MySQL Hot Copy Example Backup-Set
##
## Uses the 'mysqlhotcopy' plugin which allows for copying of the raw data
## of non-transactional tables. 
##
## Many of these options have global defaults which can be found in the
## configuration file for the provider (which can be found, by default
## in /etc/holland/providers).

[holland:backup]
plugin = mysqlhotcopy
backups-to-keep = 1
estimated-size-factor   = 1.0

# This section defines the configuration options specific to the backup
# plugin. In other words, the name of this section should match the name
# of the plugin defined above.
[mysqlhotcopy]

## Override the path where we can find mysql command line utilities
#mysql-binpath       = /usr/bin/mysqldump

## One of: flush-lock, lock-tables, none
##
## flush-lock will run a FLUSH TABLES WITH READ LOCK prior to the backup
##
## lock-tables will  lock all tables involved in the backup.
##
## None will completely disable locking. This is generally only viable
## on a MySQL slave and only after traffic has been diverted, or slave
## services suspended.
#lock-method        = lock-tables

## comma-delimited glob patterns for matching databases
## only databases matching these patterns will be backed up
## default: include everything
databases           = "*"

## comma-delimited glob patterns to exclude particular 
## databases
#exclude-databases   = 

## only include the specified tables
tables              = "*"

## exclude specific tables
#exclude-tables      = ""

## Only backup first 2K of MYI files. Only the first 2K of an MYI file is 
## needed in order to restore from a backup. However, if this option is 
## enabled, the tables must be repaired using a REPAIR TABLE in MySQL 
## before they will be usable.
#partial-indexes    = false

## Whether or not to compress or tar the resulting backups. Three options
## are avaliable: (dir)ectory (zip)file or (tar)file
##
## dir does no compression and copies out the resulting table-defitions,
## data and index files into a directory correspndong to the database
## directory.
##
## zip will compress the backups into a ZIP archive. Since ZIPs support
## random access, this can save space but still allow for restoring only
## certain tables quickly.
##
## tar will tar up and compress the backups (using gzip).
#archive-method      = dir

## Whether to stop the slave before commencing with the backup
stop-slave          = no

## Whether to record the binary log name and position at the time of the
## backup.
bin-log-position    = no

## MySQL connection settings. Note that these can be inherited from the
## provider itself allowing for global defaults. Providing connection 
## information for a backup-set can often be helpful when, for instance
## a backup-set is backing up a remote MySQL server.
#[mysql:client]
#user                = hollandbackup
#password            = "hollandpw"
#socket              = /tmp/mysqld.sock
#host                = localhost
#port                = 3306
